Public Member Functions | Public Attributes | List of all members
libetonyek::KEYPlaceholder Struct Reference

`#include <KEYTypes.h>`

## Public Member Functions
| KEYPlaceholder ()

## Public Attributes
boost::optional< bool > | m_title
boost::optional< bool > | m_empty
IWORKStylePtr_t | m_style
IWORKStylePtr_t | m_paragraphStyle
IWORKStylePtr_t | m_spanStyle
IWORKGeometryPtr_t | m_geometry
IWORKTextPtr_t | m_text
boost::optional< bool > | m_visible
std::deque< double > | m_bulletIndentations

## Constructor & Destructor Documentation

## ◆ KEYPlaceholder()

libetonyek::KEYPlaceholder::KEYPlaceholder | ( |  | ) |

## Member Data Documentation

## ◆ m_bulletIndentations

std::deque<double> libetonyek::KEYPlaceholder::m_bulletIndentations

## ◆ m_empty

boost::optional<bool> libetonyek::KEYPlaceholder::m_empty

## ◆ m_geometry

IWORKGeometryPtr_t libetonyek::KEYPlaceholder::m_geometry

## ◆ m_paragraphStyle

IWORKStylePtr_t libetonyek::KEYPlaceholder::m_paragraphStyle

## ◆ m_spanStyle

IWORKStylePtr_t libetonyek::KEYPlaceholder::m_spanStyle

## ◆ m_style

IWORKStylePtr_t libetonyek::KEYPlaceholder::m_style

## ◆ m_text

IWORKTextPtr_t libetonyek::KEYPlaceholder::m_text

## ◆ m_title

boost::optional<bool> libetonyek::KEYPlaceholder::m_title

## ◆ m_visible

boost::optional<bool> libetonyek::KEYPlaceholder::m_visible

The documentation for this struct was generated from the following files:

- KEYTypes.h
- KEYTypes.cpp